Update a Status list configuration
Updates an existing Status list configuration, allowing you to adjust the expiry and TTL (Time To Live) settings.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>statusListConfigurationId*stringStatus list configuration ID
uuidThe Status list configuration payload
body*StatusListConfigurationUpdateRequestapplication/jsonStatus list configuration updated
application/json- response
id*stringUniquely identifies the created Status list configuration.
uuiddocType*stringThe unique docType the created Status list configuration is associated with.
timeToLiveDuration*Defines how long relying parties can cache Status list tokens of this docType before it is recommended to retrieve a new Status list token from the tenant. Cannot exceed expiryDuration.
expiryDuration*Defines how long relying parties can cache Status list tokens of this docType before they expire. Once a Status list token expires, relying parties can no longer use it to check credentials status and must retrieve a new one from the tenant. Regardless of the value of this parameter, Status list tokens expiry cannot exceed the validity of the IACA that is used to sign the Status list token.
curl -X PUT "https://example.com/v2/credentials/mobile/status-lists/configurations/3948c40e-6e19-4ffc-933c-91f643f24264" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "983c0a86-204f-4431-9371-f5a22e506599", "docType": "Drivers License", "timeToLiveDuration": { "days": 1 }, "expiryDuration": { "days": 2 }}How would you rate this page?